Index: data/branches/single_player_map/worlds/sp_level_ambush_at_jupiter.oxw
===================================================================
--- data/branches/single_player_map/worlds/sp_level_ambush_at_jupiter.oxw	(revision 4066)
+++ data/branches/single_player_map/worlds/sp_level_ambush_at_jupiter.oxw	(revision 4070)
@@ -42,5 +42,5 @@
 
     <Script>
-     <file>spaceship.lua</file>
+     <file>hangar.lua</file>
     </Script>
     
@@ -96,8 +96,8 @@
 
     <ScriptTrigger>
-     <name>spaceshiptrigger</name>
-     <file>spaceship.lua</file>
-     <function>tick</function>
-     <abs-coor>-84, 19, 77</abs-coor>
+     <name>hangartrigger</name>
+     <file>hangar.lua</file>
+     <function>tick</function>
+     <abs-coor>678.946838, -11.959779, -920.512634</abs-coor>
      <radius>100</radius>
      <worldentity>Player</worldentity>
@@ -134,7 +134,7 @@
     <GenericNPC>
        <name>guard</name>
-       <model>models/creatures/doom_guy.md2, 10</model>
-       <md2texture>doom_guy.png</md2texture>
-       <abs-coor>275.33, 29, 241.26</abs-coor>
+       <model>models/creatures/male.md2, 10</model>
+       <md2texture>male_viper.pcx</md2texture>
+       <abs-coor>275.33, 34, 241.26</abs-coor>
        <abs-dir>-3.1, 0, 1, 0</abs-dir>
     </GenericNPC>
@@ -142,7 +142,7 @@
     <GenericNPC>
        <name>secondguard</name>
-       <model>models/creatures/doom_guy.md2, 10</model>
-       <md2texture>doom_guy.png</md2texture>
-       <abs-coor>440, 80, 180</abs-coor>
+       <model>models/creatures/male.md2, 10</model>
+       <md2texture>male_freakmagnet.pcx</md2texture>
+       <abs-coor>440, 90, 180</abs-coor>
        <abs-dir>-3.1, 0, 1, 0</abs-dir>
     </GenericNPC>
@@ -151,7 +151,7 @@
     <GenericNPC>
        <name>prisoner</name>
-       <model>models/creatures/doom_guy.md2, 10</model>
-       <md2texture>doom_guy.png</md2texture>
-       <abs-coor>-69,29, 74</abs-coor>
+       <model>models/creatures/male.md2, 10</model>
+       <md2texture>male_albat.pcx</md2texture>
+       <abs-coor>-69,34, 74</abs-coor>
        <abs-dir>-1.55, 0, 1, 0</abs-dir>
     </GenericNPC>
@@ -159,7 +159,7 @@
    <GenericNPC>
        <name>Secondprisoner</name>
-       <model>models/creatures/doom_guy.md2, 10</model>
-       <md2texture>doom_guy.png</md2texture>
-       <abs-coor>22, 29,121</abs-coor>
+       <model>models/creatures/male.md2, 10</model>
+       <md2texture>male_fiend.pcx</md2texture>
+       <abs-coor>20, 34,110</abs-coor>
        <abs-dir>-1.55, 0, 1, 0</abs-dir>
     </GenericNPC>
@@ -167,7 +167,7 @@
     <GenericNPC>
        <name>statist</name>
-       <model>models/creatures/doom_guy.md2, 10</model>
-       <md2texture>doom_guy.png</md2texture>
-       <abs-coor>-58, 29, 496</abs-coor>
+       <model>models/creatures/male.md2, 10</model>
+       <md2texture>male_sarge.pcx</md2texture>
+       <abs-coor>-58, 34, 496</abs-coor>
        <abs-dir>0, 0, 1, 0</abs-dir>
     </GenericNPC>
@@ -175,7 +175,7 @@
     <GenericNPC>
        <name>statist2</name>
-       <model>models/creatures/doom_guy.md2, 10</model>
-       <md2texture>doom_guy.png</md2texture>
-       <abs-coor>-65, 29, 528</abs-coor>
+       <model>models/creatures/male.md2, 10</model>
+       <md2texture>male_sarge.pcx</md2texture>
+       <abs-coor>-65, 34, 528</abs-coor>
        <abs-dir>0, 0, 1, 0</abs-dir>
     </GenericNPC>
@@ -183,10 +183,17 @@
     <GenericNPC>
        <name>floorguy</name>
-       <model>models/creatures/doom_guy.md2, 10</model>
-       <md2texture>doom_guy.png</md2texture>
-       <abs-coor>800.634338, 29, -340.454163</abs-coor>
-       <abs-dir>0, 0, 1, 0</abs-dir>
-    </GenericNPC>
-
+       <model>models/creatures/male.md2, 10</model>
+       <md2texture>male_sarge.pcx</md2texture>
+       <abs-coor>800.634338, -10, -340.454163</abs-coor>
+       <abs-dir>0, 0, 1, 0</abs-dir>
+    </GenericNPC>
+
+   <GenericNPC>
+       <name>mechanic</name>
+       <model>models/creatures/male.md2, 10</model>
+       <md2texture>male_navy2.pcx</md2texture>
+       <abs-coor>991.192261, 5, -1878.394287</abs-coor>
+       <abs-dir>0, 0, 1, 0</abs-dir>
+    </GenericNPC>
 
    <TestEntity>
@@ -209,5 +216,5 @@
        <name>repair station 01</name>
        <scale>80.0</scale>
-       <abs-coor>20.139891, 10, -1861.332275</abs-coor>
+       <abs-coor>814.349670, -21.959781, -1695.255981</abs-coor>
     </RepairStation>
 
@@ -220,11 +227,31 @@
     </FPSPlayer>
 
+
     <SpaceShip>
       <name>spaceship</name>
-      <model>models/ships/reap_#.obj</model>
-      <abs-coor>-11.863, -30.102, 83.226</abs-coor>
+      <model>models/ships/fighter.obj,20</model>
+      <abs-coor>624.164124, 0.004610, -1721.440796</abs-coor>
+    </SpaceShip>
+    
+    <SpaceShip>
+      <name>spaceship1</name>
+      <model>models/ships/reap_#.obj,20</model>
+      <abs-coor>1160.289307, -10.959778, -1874.250732</abs-coor>
       <abs-dir> -1.5,0,1,0 </abs-dir>
     </SpaceShip>
-
+    
+    <SpaceShip>
+      <name>spaceship2</name>
+      <model>models/ships/mantawing.obj,20</model>
+      <abs-coor>1373.289307, -10.959778, -1874.250732</abs-coor>
+      <abs-dir> -1.5,0,1,0 </abs-dir>
+    </SpaceShip>
+
+
+   <SpaceShip>
+      <name>spaceship3</name>
+      <model>models/ships/powerdrifter.obj,15</model>
+      <abs-coor>811.904358, -11.959779, -1698.305786</abs-coor>
+    </SpaceShip>
 
 
